%define	prefix	%{_prefix}/X11R6

Name:		fvwm2
Version:	2.4.14
Summary:	An improved version of the FVWM X-based window manager
Release:	1mdk

URL: 		http://www.fvwm.org
Source0:	ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{version}.tar.bz2
Source1:	fvwm-2.0.46.icons.tar.bz2
Source2:	compat-icons.tar.bz2
Source3:	%{name}.menu.bz2
Source4:	%{name}.menu-method.bz2
Source5:	%{name}-menuicon-32.xpm.bz2
Source6:	%{name}-menuicon.xpm.bz2
Patch0:		fvwm-2.2-redhat.patch.bz2
Patch1:		fvwm-2.2-menu.patch.bz2

License:	GPL
Group:		Graphical desktop/FVWM based
BuildRequires:	flex XFree86-devel xpm-devel readline-devel libtermcap-devel
Buildroot:	%_tmppath/%name-%version-root
#Requires:	fvwm2-icons = %{version}
Obsoletes:	fvwm95

%description
FVWM2 (the F stands for whatever you want, but the VWM stands for Virtual
Window Manager) is an improved version of the FVWM window manager for the X
Window System and shares the same characteristics as FVWM.

Install the fvwm2 package if you'd like to use the FVWM2 window manager. If you
install fvwm2, you'll also need to install fvwm2-icons.

%package gtk
Summary: Gtk module for FVWM
Group: Graphical desktop/FVWM based

%description gtk
Gnome/GTK module for FVWM

%package icons
Summary:	Graphic files used by the FVWM and FVWM2 window managers
Group:		Graphical desktop/FVWM based
Obsoletes:	fvwm95-icons

%description icons
The fvwm2-icons package contains icons, bitmaps and pixmaps used by the FVWM
and FVWM2 X Window System window managers.

You'll need to install fvwm2-icons if you are installing fvwm and/or fvwm2.

%prep
%setup -n fvwm-%{version} -q
#%patch0 -p1
#%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
				    --disable-gtktest \
				    --libexecdir=\${prefix}/lib/X11/fvwm2 \
				    --sysconfdir=/etc/X11/fvwm2

%make FVWM_DATADIR="%{_datadir}/fvwm2" CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%prefix \
#	     FVWM_DATADIR="%{_datadir}/fvwm2" \
	     sysconfdir=$RPM_BUILD_ROOT/etc/X11/fvwm2 \
	     INSTALL_PROGRAM="/usr/bin/install -c -s"
	     
mkdir -p $RPM_BUILD_ROOT/etc/X11/fvwm2
install -m 644 sample.fvwmrc/system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2

rm -fr $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
#install -m 644 icons/*.xpm $RPM_BUILD_ROOT%_iconsdir
#mv $RPM_BUILD_ROOT%_iconsdir/mini.*.xpm $RPM_BUILD_ROOT%_miconsdir

# install compatibility icons
tar xvyf %{SOURCE2} -C $RPM_BUILD_ROOT
(
	cd $RPM_BUILD_ROOT%_iconsdir
	mv folder.xpm fvwfolder.xpm
)
mkdir -p $RPM_BUILD_ROOT%_menudir
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%_menudir/fvwm2
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/etc/menu-methods/fvwm2
chmod 755 $RPM_BUILD_ROOT/etc/menu-methods/fvwm2

# Let's remove conflicting icons
rm -f $RPM_BUILD_ROOT%_iconsdir/xv.xpm
rm -f $RPM_BUILD_ROOT%_iconsdir/bell.xpm
rm -f $RPM_BUILD_ROOT%_iconsdir/desktop.xpm
rm -f $RPM_BUILD_ROOT%_iconsdir/keyboard.xpm
rm -f $RPM_BUILD_ROOT%_iconsdir/xpaint.xpm

# menu entry icon
mkdir -p $RPM_BUILD_ROOT%_iconsdir
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%_iconsdir/%{name}-menuicon.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%_miconsdir/%{name}-menuicon.xpm

# session stuff
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d
cat > $RPM_BUILD_ROOT/etc/X11/wmsession.d/09fvwm2 << EOF
NAME=Fvwm2
EXEC=%prefix/bin/fvwm2
DESC=A popular window manager
SCRIPT:
exec %prefix/bin/fvwm2
EOF

# Dadou 2.2.4-13mdk - Prevent a conflict with xemacs package
rm -f %buildroot/%_iconsdir/xemacs.xpm

find $RPM_BUILD_ROOT/%prefix/lib/X11/fvwm2/ -type f -not -iname "*gtk*" |
  sed -e "s#^$RPM_BUILD_ROOT##g" > fvwm2-files

find $RPM_BUILD_ROOT/%prefix/lib/X11/fvwm2/ -type f -iname "*gtk*" |
  sed -e "s#^$RPM_BUILD_ROOT##g" > fvwm2-gtk-files

%files -f fvwm2-files
%defattr(-,root,root)
%doc INSTALL README AUTHORS INSTALL.fvwm NEWS ChangeLog docs
%config(noreplace) /etc/X11/fvwm2/*
%config(noreplace) /etc/menu-methods/fvwm2
%config(noreplace) /etc/X11/wmsession.d/09fvwm2
%prefix/man/man1/*
%prefix/bin/*
%_menudir/fvwm2
/usr/X11R6/share/fvwm/

%files gtk -f fvwm2-gtk-files
%defattr(-,root,root)
%doc modules/FvwmGtk/TODO

%files icons
%defattr(-,root,root)
%_iconsdir/*.xpm
%_miconsdir/*.xpm

%post
%update_menus
%make_session

%postun
%clean_menus
%make_session

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 27 2002 Warly <warly@mandrakesoft.com> 2.4.14-1mdk
- new version

* Tue Sep 10 2002 Warly <warly@mandrakesoft.com> 2.4.9-1mdk
- new version

* Thu Jul 18 2002 Warly <warly@mandrakesoft.com> 2.4.8-1mdk
- new version

* Wed Apr 10 2002 Warly <warly@mandrakesoft.com> 2.4.6-2mdk
- remove libstroke, use too much memory.

* Tue Dec  4 2001 Warly <warly@mandrakesoft.com> 2.4.3-1mdk
- new version

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2.4-14mdk
- BuildRequires:	flex

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-13mdk
- Prevent a conflict with xemacs

* Mon Nov 13 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-12mdk
- Build with glibc-2.2 & gcc-2.96

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.4-11mdk
- entry in /etc/X11/wmsession.d

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.4-10mdk
- automatically added BuildRequires

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 2.2.4-9mdk
- Added xkill to the button bar

* Tue May  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2.4-8mdk
- moved icons' ratio to 1.0 because some wm won't resize keeping aspect ratio
- added a mini icon
- added Alt-Tab simili-Windows behaviour [found in the faq]

* Mon May  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2.4-7mdk
- big patch on menu-method to forbid use of any icons except those
  from /usr/share/icons/mini, because they won't be auto-resized,
  thus leading to an awful menu
- added menu entry icons
- cleaned up specfile
- removed $%&^ directory own of /usr/share/icons for fvwm2-icons
- replaced reference to $RPM_SOURCE_DIR

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 2.2.4-6mdk
- added fndSession call.

* Thu Apr 27 2000 DindinX <odin@mandrakesoft.com> 2.2.4-5mdk
- Improved default configuration

* Wed Apr 26 2000 DindinX <odin@mandrakesoft.com> 2.2.4-4mdk
- removed conflicting icons from fvwm2-icons

* Tue Apr 25 2000 DindinX <odin@mandrakesoft.com> 2.2.4-3mdk
- added i18n to the menu support
- added a search path for the pixmap, so the icons for the menu
  sections are found and displayed

* Thu Apr  6 2000 DindinX <odin@mandrakesoft.com> 2.2.4-2mdk
- Made the default theme a little less ugly

* Wed Apr  5 2000 DindinX <odin@mandrakesoft.com> 2.2.4-1mdk
- New release (only bugfixes)
- Better handing of menu
- First try to support the "Menu" key

* Mon Apr  3 2000 DindinX <odin@mandrakesoft.com> 2.2.2-11mdk
- Added menu support

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 2.2.2-10mdk
- Group and spec fixes

* Wed Nov 03 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build in new environnment

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move folder.xpm to fvwfolder to don't have conflict with new kdebase.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.2.2

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environment (Ver: 7mdk).

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.2.1
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com> 
- added some icons from kdebase back to this package for upgrade
- compatibility.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- better default system.fvwm2rc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- package is still not finished yet
- upgraded to 2.2, got rid of all the cruft in the spec file

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.0.47
- mark config files as %config files

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- removed duplicate files found in the package Another level.
- fixes bug: 651 

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- long time no new version released :-(. -> misc patch
- major spec file cleanups

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- Fixed more bugs (bugs patch)

* Fri Oct 24 1997 Cristian Gafton <gafton@redhat.com>
- fixed Alpha build

* Thu Oct 16 1997 Cristian Gafton <gafton@redhat.com>
- fixed FvwmTaskBar severe bug (taskbar patch)
- misc fixes

* Mon Oct 13 1997 Cristian Gafton <gafton@redhat.com>
- built against glibc; added -rh and -fixes patches

